using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            string[] s = Console.ReadLine().Split(' ');
            int[] x = Array.ConvertAll(s, int.Parse);
            int q = int.Parse(Console.ReadLine());
            for(int i = 0; i < n-1; i++)
            {
                if (x[i] > x[i + 1])
                    x[i+1] *= -1;
            }
            for(int k = 0; k < q; k++)
            {
                s = Console.ReadLine().Split(' ');
                int l = int.Parse(s[0]); l--;
                int r = int.Parse(s[1]);

                int br = 0;
                for(int i = l; i < r; i++)
                {
                    if (x[i] < 0)
                        br++;
                }
                if (br > 1)
                    Console.WriteLine("NE");
                else
                    Console.WriteLine("DA");
            }
        }
    }
}